curl --request GET \
--url https://api.serial.io/components/instances/{id}/properties \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_identifier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"usl": 123,
"lsl": 123,
"is_pass": true,
"is_discrete": true,
"unit": "<string>",
"dataset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data_type": "PARAMETRIC_QUANTITATIVE",
"created_at": "2023-11-07T05:31:56Z",
"process_revision": 123,
"order": 123,
"lsl": 123,
"usl": 123,
"unit": "<string>",
"child_component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_value": true,
"is_active": true,
"values": [
"<string>"
]
}
}
]Get the values of properties for a component instance
curl --request GET \
--url https://api.serial.io/components/instances/{id}/properties \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_identifier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"usl": 123,
"lsl": 123,
"is_pass": true,
"is_discrete": true,
"unit": "<string>",
"dataset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data_type": "PARAMETRIC_QUANTITATIVE",
"created_at": "2023-11-07T05:31:56Z",
"process_revision": 123,
"order": 123,
"lsl": 123,
"usl": 123,
"unit": "<string>",
"child_component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_value": true,
"is_active": true,
"values": [
"<string>"
]
}
}
]API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>
OK
Show child attributes
Database id for the dataset
User facing name for the dataset
Process id associated with the dataset
PARAMETRIC_QUANTITATIVE, PARAMETRIC_QUALITATIVE, CHECKBOX, LINK, IMAGE, FILE, UID Order in which the dataset shows up relative to others
, Used for property datasets, is a LRU cache of used values